Page MenuHomePhabricator

[Wiktionary] Retrieve the "current" text highlight from the WebView while the Wiktionary window is displayed.
Closed, InvalidPublic2 Story Points

Description

While the non-modal Wiktionary window is shown, we need to continually query the WebView to determine the current text highlight, so that the definition that is shown in the window is updated to reflect the highlighted text.

I would envision this to work as follows:

  • While the Wiktionary window is shown, send a message to the WebView once per second to retrieve the current highlighted text.
  • Catch the WebView's response, and show the highlighted selection in the floating window.

Event Timeline

Dbrant created this task.Nov 16 2015, 3:34 PM
Dbrant raised the priority of this task from to Normal.
Dbrant updated the task description. (Show Details)
Dbrant moved this task to Next Sprint on the Wikipedia-Android-App-Backlog board.
Dbrant added a subscriber: Dbrant.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 16 2015, 3:34 PM
MBinder_WMF set Security to None.
MBinder_WMF edited a custom field.
Mholloway claimed this task.Dec 1 2015, 6:32 PM
Mholloway removed Mholloway as the assignee of this task.
Mholloway moved this task from To Do to Doing on the Mobile-App-Android-Sprint-71-Lutetium board.
Mholloway moved this task from Doing to To Do on the Mobile-App-Android-Sprint-71-Lutetium board.
Mholloway added a subscriber: Mholloway.
Mholloway claimed this task.Dec 2 2015, 3:36 PM
Mholloway moved this task from To Do to Doing on the Mobile-App-Android-Sprint-71-Lutetium board.
Mholloway removed a subscriber: Mholloway.

Change 256959 had a related patch set uploaded (by Mholloway):
WIP: Implement Wiktionary definition dialog

https://gerrit.wikimedia.org/r/256959

Change 256959 abandoned by Mholloway:
WIP: Implement Wiktionary definition dialog

Reason:
Not even half-baked.

https://gerrit.wikimedia.org/r/256959

Change 257695 had a related patch set uploaded (by Mholloway):
Implement Wiktionary definition dialog

https://gerrit.wikimedia.org/r/257695

Mholloway removed Mholloway as the assignee of this task.May 12 2017, 2:42 AM
Mholloway added a subscriber: Mholloway.
Dbrant closed this task as Invalid.Sep 6 2017, 12:32 PM